Package net.shibboleth.idp.saml.profile.config.navigate

# Class SessionLifetimeLookupFunction

java.lang.Object
net.shibboleth.profile.context.navigate.AbstractRelyingPartyLookupFunction<Duration>
net.shibboleth.idp.saml.profile.config.navigate.SessionLifetimeLookupFunction

All Implemented Interfaces:
  `Function<ProfileRequestContext,Duration>`, `ContextDataLookupFunction<ProfileRequestContext,Duration>`

public class SessionLifetimeLookupFunction extends AbstractRelyingPartyLookupFunction<Duration>
A function that returns `BrowserSSOProfileConfiguration.getMaximumSPSessionLifetime(ProfileRequestContext)` if such a profile is available from a `RelyingPartyContext` obtained via a lookup function, by default a child of the `ProfileRequestContext`.

If a specific setting is unavailable, zero is returned.

## Constructor Summary

Constructors
Constructor
Description
`SessionLifetimeLookupFunction()`

## Method Summary

Modifier and Type
Method
Description
`Duration`
`apply(ProfileRequestContext input)`

### Methods inherited from class net.shibboleth.profile.context.navigate.AbstractRelyingPartyLookupFunction

`getRelyingPartyContext, getRelyingPartyContextLookupStrategy, setRelyingPartyContextLookupStrategy`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Constructor Details

### SessionLifetimeLookupFunction

public SessionLifetimeLookupFunction()

## Method Details

### apply

@Nullable public Duration apply(@Nullable ProfileRequestContext input)